## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tag 1.7pre0

Name:           iotools
Version:        1.7~pre0
Release:        %autorelease
Summary:        Set of command line tools to access hardware device registers

License:        GPL-2.0-or-later
# Original upstream at https://github.com/adurbin/iotools is no longer
# developed, so use a maintained fork instead
URL:            https://github.com/aaron-sierra/iotools
Source:         %{url}/archive/v%{tag}/%{name}-%{tag}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description
The iotools package provides a set of simple command line tools which allow
access to hardware device registers. Supported register interfaces include
PCI, IO, memory mapped IO, SMBus, CPUID, and MSR. Also included are some
utilities which allow for simple arithmetic, logical, and other operations.


%prep
%autosetup -n %{name}-%{tag}

# Do not abort on warnings
sed -i 's/-Werror//' Makefile

%build
%set_build_flags
%if 0%{?el8}
export CC="%{__cc}"
%endif
%make_build STATIC=0 DEBUG=0 CC="$CC" EXTRA_CFLAGS="$CFLAGS"

%install
# Not using make install as it will install a lot of conflicting symlinks
install -Dpm0755 -t %{buildroot}%{_sbindir} iotools

%files
%license COPYING
%doc README TODO.txt
%{_sbindir}/iotools

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.7~pre0-10
- Fix FTBFS

* Thu Jan 25 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1.7~pre0-9
- Convert license tag to SPDX

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7~pre0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 1.7~pre0-2
- Ensure CC is set on el8

* Fri Aug 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 1.7~pre0-1
- Initial import; Fixes: RHBZ#1986613
## END: Generated by rpmautospec
